/*! HTML5 Boilerplate v8.0.0 | MIT License | https://html5boilerplate.com/ */

/* main.css 2.1.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
/* roboto-condensed-300 - latin */
@font-face {
  font-family: 'Roboto Condensed';
  font-style: normal;
  font-weight: 300;
  src: url('font/roboto-condensed-v19-latin-300.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('font/roboto-condensed-v19-latin-300.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('font/roboto-condensed-v19-latin-300.woff2') format('woff2'), /* Super Modern Browsers */
       url('font/roboto-condensed-v19-latin-300.woff') format('woff'), /* Modern Browsers */
       url('font/roboto-condensed-v19-latin-300.ttf') format('truetype'), /* Safari, Android, iOS */
       url('font/roboto-condensed-v19-latin-300.svg#RobotoCondensed') format('svg'); /* Legacy iOS */
}

/* roboto-condensed-regular - latin */
@font-face {
  font-family: 'Roboto Condensed';
  font-style: normal;
  font-weight: 400;
  src: url('font/roboto-condensed-v19-latin-regular.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('font/roboto-condensed-v19-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('font/roboto-condensed-v19-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('font/roboto-condensed-v19-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('font/roboto-condensed-v19-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('font/roboto-condensed-v19-latin-regular.svg#RobotoCondensed') format('svg'); /* Legacy iOS */
}

/* roboto-condensed-700 - latin */
@font-face {
  font-family: 'Roboto Condensed';
  font-style: normal;
  font-weight: 700;
  src: url('font/roboto-condensed-v19-latin-700.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('font/roboto-condensed-v19-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('font/roboto-condensed-v19-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
       url('font/roboto-condensed-v19-latin-700.woff') format('woff'), /* Modern Browsers */
       url('font/roboto-condensed-v19-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
       url('font/roboto-condensed-v19-latin-700.svg#RobotoCondensed') format('svg'); /* Legacy iOS */
}


* {font-family: 'Roboto Condensed', sans-serif;}

/*MAIN RULES*/
h1,h2,h3,h4,h5 { font-weight: lighter !important; }
.title { font-weight: lighter !important; }
textarea { resize: none !important;}

.has-background-main {
  background-color: #8D8886;
}

/*Splash Screen*/
.full-container {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 99;
  display: flex;
  height: 100vh;
  width: 100vw;
  align-items: center;
  justify-content: center;
}

/*Menu Full*/
.menu-container .menu-content {
  position: absolute;
  top: 0px;
  right: 0px;
  left: 0px;
  bottom: 0px;
  height: 100vh;
  z-index: 10;
}
.menu-content {
  background-image: url("../img/bg.jpg"); /* The image used */
  background-position: center; /* Center the image */
  background-repeat: no-repeat; /* Do not repeat the image */
  background-size: cover; /* Resize the background image to cover the entire container */
  -webkit-box-shadow: 0px 50px 33px -5px rgba(0,0,0,0.38); 
  box-shadow: 0px 50px 33px -5px rgba(0,0,0,0.38);
}
.menu-content div:nth-of-type(1) {
  background: rgb(2,0,36);
  background: linear-gradient(0deg, rgba(2,0,36,0) 0%, rgba(255,255,255,1) 58%, rgba(255,255,255,1) 100%);
  opacity: 0.8;
}
.menu-content div:nth-of-type(2) {
  background: #fff;
}
.menu-content .column {
  height: 100vh;
}
.menu-container .column ul {
  display: block !important;
  margin: 0 auto !important;
  width: fit-content !important;
}
.menu-content .column ul li {
  padding-bottom: 2rem !important;
  font-weight: 600 !important;
}
.menu-container .menu-button {
  position: absolute;
  top: 25px;
  right: 20px;
  cursor: pointer;
  z-index: 11;
}
/*Title Holder*/
.titleStyle {
  word-spacing: 0px;
  padding-bottom: .5em;
  padding-left: .8em;
  font-size: 3.5em;
  border-bottom: 1px solid #222;
  font-weight: lighter;
}
#messageHolder {
  padding-top: .5em;
  padding-left: .8em;
  font-size: 2em;
  font-weight: lighter;
}
/*Portfolio Page*/
.portfolioStyle {
  height: auto !important;
}
.portfolioStyle .portfolio-item {
  height: 250px !important;
}
.portfolioStyle .portfolio-item a img{
  height: 100% !important;
}
/*Portolio Portada*/
#portfolioHolder {
  position: relative;
  height: calc(90vh);
}
.portfolio-item {
  position: relative;
  height: 33.33%;
} .portfolio-item:hover .portfolio-title {
  box-shadow: inset 350px 0 0 0 #874D27;
  font-size: 2rem;
} .portfolio-item:hover .portfolio-message {
  box-shadow: inset 350px 0 0 0 #874D27;
  font-size: 1rem;
}
.portfolio-item a img {
  width: 550px;
  height: 100%;
  object-fit: cover;
}
.portfolio-item a .portfolio-title {
  position: absolute;
  bottom: 50px;
  left: 25px;
  color: #fff;
  box-shadow: inset 0 0 0 0 #874D27;
  margin: 0 -.25rem;
  padding: 0 .25rem;
  transition: color .3s ease-in-out, box-shadow .3s ease-in-out;
}
.portfolio-item a .portfolio-message {
  position: absolute;
  bottom: 15px;
  left: 25px;
  color: #fff;
  box-shadow: inset 0 0 0 0 #874D27;
  margin: 0 -.25rem;
  padding: 0 .25rem;
  transition: color .3s ease-in-out, box-shadow .3s ease-in-out;
}
/*Portfolio Dashboard Preview*/
.preImgContainer {
  position: relative;
  width: 100%;
}
.preImgFrame {
  position: relative;
  width: 100%;
  object-fit: cover;
  z-index: 10;
}
.preTitle {
  position: absolute;
  top: 5px;
  left: 5px;
  font-size: 2em;
  color: white;
  text-transform: uppercase;
  line-height: 26px;
  z-index: 11;
  font-weight: bold;
}
/*Entry*/
.headerTitle {
  position: absolute;
  padding: 18px 10px;
  display: block;
  width: 100%;
  color: white;
  font-weight: bolder !important;
  top: -10px;
  left: 0px;
  z-index: 10;
  background-color: rgba(135,75,39,0.8);
}
/*Service holder*/
#servicesHolder {
  line-height: 46px;
  vertical-align: baseline;
  letter-spacing: normal;
  word-spacing: 0px;
  padding-top: 1.5em;
  padding-left: 1em;
  border-top: 2px solid #c2c2c2;
}
/*Social Feed Button*/
#feedButton {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 2; 
}
#feedButton span {
  visibility: hidden;
  padding: 5px 15px;
  margin: 0 15px;
  border-radius: 10px;
  color: #fff;
  background-color: #874D27;
  opacity: 0;
}
#feedButton:hover > span {
  visibility: visible;
  opacity: 1;
  -webkit-transition: opacity .25s ease-out;  
  -moz-transition: opacity .25s ease-in-out;
  transition: opacity .25s ease-in-out;
}
/*Feed Message Scroller*/
.feedContact {
  background-color: #fff;
  overflow: auto;
  white-space: nowrap;
}
.feedContact div {
  display: block;
  text-align: center; 
  text-decoration: none;
  margin: 5px !important;
  background-color: white !important;
}
/*toast*/
#toast {
  position: fixed;
  bottom: 60px;
  right: 20px;
  z-index: 99999;
} .toast-tag {
    display: block;
    margin: 0 auto;
    text-align: center;
  }

/*Mobile small*/
@media screen and (max-width: 769px), print {
  #portfolioHolder {
    height: auto !important;
  }
  .portfolio-item {
    margin: .3rem !important;
  }
}
/* ==========================================================================
   Helper classes
   ========================================================================== */

/*Borders*/
.br-4 {
  border-radius: 4px !important;
}

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.sr-only {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .sr-only class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.sr-only.focusable:active,
.sr-only.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: " ";
  display: table;
}

.clearfix::after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  /*
   * Printing Tables:
   * https://web.archive.org/web/20180815150934/http://css-discuss.incutio.com/wiki/Printing_Tables
   */
  thead {
    display: table-header-group;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}

